Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450945 - Impossible to get any data from CD-Extra
Summary: Impossible to get any data from CD-Extra
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 20:38 UTC by Kamil J. Dudek
Modified: 2017-02-08 23:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:58:16 UTC
wielkipiec: needinfo-


Attachments (Terms of Use)
lshal log (deleted)
2008-06-11 21:14 UTC, Kamil J. Dudek
no flags Details

Description Kamil J. Dudek 2008-06-11 20:38:14 UTC
1. Insert a CD-Extra disc 
 CD-Extra means that it contains music and data.

2. GNOME creates an icon called "Audio CD"
 Previous version asked about what to do, now it doesn't

3. There is no way to access data from CD, only manual method works fine
 mount -t iso9660 /dev/cdrom /mnt/cdrom

4. Result: User can't get any data from CD without performing non-standard
operations.

Comment 1 David Zeuthen 2008-06-11 21:01:08 UTC
(In reply to comment #0)
> 1. Insert a CD-Extra disc 
>  CD-Extra means that it contains music and data.

You have to be a lot more specific here. Do you mean a "mixed CD"?

> 2. GNOME creates an icon called "Audio CD"
>  Previous version asked about what to do, now it doesn't

I believe we do. See the "Media" tab in the System->Preferences->Personal->File
Management preference item. In particular, select "Ask what to do" for CD Audio.

> 3. There is no way to access data from CD, only manual method works fine
>  mount -t iso9660 /dev/cdrom /mnt/cdrom
> 
> 4. Result: User can't get any data from CD without performing non-standard
> operations.

Please attach the output of 'lshal' and 'gvfs-mount -li'.


Comment 2 David Zeuthen 2008-06-11 21:07:47 UTC
More concretely, the way things work is that we mount both the audio part and
the data part. That is a change from Fedora 9 and GNOME 2.22.

Reassigning to gvfs since that's where the bug might be.

Comment 3 David Zeuthen 2008-06-11 21:08:35 UTC
(In reply to comment #2)
> That is a change from Fedora 9 and GNOME 2.22.
                   ^^^^
s/from/in/


Comment 4 Kamil J. Dudek 2008-06-11 21:14:02 UTC
Created attachment 309001 [details]
lshal log

Comment 5 Kamil J. Dudek 2008-06-11 21:16:51 UTC
In "Media" tab in the System->Preferences->Personal->File Management preference
item everything is set to "Ask me first".

Forgive me lack of precision - yes, I meant mixed CDs

Comment 6 David Zeuthen 2008-06-11 22:43:32 UTC
Comment on attachment 309001 [details]
lshal log

(In the future, please avoid uploading zip files. Upload plain text files and
select the proper MIME type. Thanks.)

Comment 7 David Zeuthen 2008-06-11 22:47:41 UTC
Snip

  volume.disc.has_audio = true  (bool)
  volume.disc.has_data = true  (bool)
  volume.disc.is_appendable = false  (bool)
  volume.disc.is_blank = false  (bool)
  volume.disc.is_rewritable = false  (bool)
  volume.disc.type = 'cd_rom'  (string)
  volume.fstype = ''  (string)
  volume.fsusage = ''  (string)
  volume.fsversion = ''  (string)

Apparently we don't discover a file system so we only show the data parts. Is
the data on the first track? If you don't know try mounting the audio bits and
paste (no attachment please) the output of 'gvfs-ls cdda://sr0/'

Can you paste (no attachment please) the output of

 /lib/udev/vol_id /dev/sr0

Thanks.


Comment 8 Kamil J. Dudek 2008-06-12 18:22:15 UTC
The data is on the last track - traditionally.

[root@IBM-Fedora ~]# /lib/udev/vol_id /dev/sr0
/dev/sr0: unknown volume type

And... that's all.

Comment 9 David Zeuthen 2008-06-12 18:45:15 UTC
Right, we need vol_id to be smart about that. I talked to the upstream
maintainer about that the other day. Moving to udev for now; I expect we can
close this pretty soon.

Comment 10 Kamil J. Dudek 2008-06-12 18:48:35 UTC
The data is on the last track - traditionally.

[root@IBM-Fedora ~]# /lib/udev/vol_id /dev/sr0
/dev/sr0: unknown volume type

And... that's all.

Comment 11 Harald Hoyer 2009-01-20 11:29:38 UTC
does it work for F10?

Comment 12 Bug Zapper 2009-06-10 01:33:54 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2009-07-14 17:58:16 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.